#!/usr/bin/env python3
# -*- coding: utf-8 -*-
from datetime import datetime

from pydantic import ConfigDict

from common.schema import SchemaBase


class OrgSchemaBase(SchemaBase):
    name: str
    api_key: str
    openai_base: str
    openai_key: str
    model: str
    intent_callback: str | None = None
    mismatch_callback: str | None = None
    status: int
    deleted_time: datetime | None = None


class CreateOrgParam(OrgSchemaBase):
    pass


class UpdateOrgParam(OrgSchemaBase):
    pass


class GetOrgListDetails(OrgSchemaBase):
    model_config = ConfigDict(from_attributes=True)

class CurrentIntentOrgIns(GetOrgListDetails):
    id: int
    model_config = ConfigDict(from_attributes=True)